| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Functions | Variables
fsl_mma955x module documentation

## Data Structures
struct | mma955x_DataBuffer_t
| This structure defines the Pedometer sample data buffer format. More...
struct | mma955x_PedometerNativeData_t
| This structure defines the Pedometer Native data buffer format. More...
struct | mma955x_DeviceDescriptor_t

## Functions
isf_dsa_status_t | fsl_mma955x_Initialize (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_mma955x_ValidateSettings (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSubSettings)
isf_dsa_status_t | fsl_mma955x_Configure (isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
isf_dsa_status_t | fsl_mma955x_StartData (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_mma955x_EndData (isf_SensorHandle_t *pSensorHandle)
isf_dsa_status_t | fsl_mma955x_Calibrate (isf_SensorHandle_t *pSensorHandle, void *pCalData)
isf_dsa_status_t | fsl_mma955x_Shutdown (isf_SensorHandle_t *pSensorHandle)
void | fsl_mma955x_PeriodicCallback (void *pSensorHandle)
isf_dsa_status_t | fsl_mma955x_Convert (volatile isf_SensorHandle_t *pSensorHandle, isf_SensorDataTypes_t convertToType, isf_dsa_result_types_t resultType, void *pNativeSample, void *pConvertedSample, int32 *numBytes)
| This function converts the raw sample data to the desired output type. More...

## Variables
isf_SensorTypes_t | mma955x_SupportedSensorTypes []
| Supported sensor and data types for mma955x. More...
isf_SensorDataTypes_t | mma955x_SupportedDataTypes []

## Detailed Description

## Function Documentation

isf_dsa_status_t fsl_mma955x_Calibrate | ( | isf_SensorHandle_t * | pSensorHandle,
|  | void * | pCalData
| ) |  |

Definition at line 380 of file fsl_mma955x_i2cspi_pedo.c.

References ISF_SUCCESS.

isf_dsa_status_t fsl_mma955x_Configure | ( | isf_SensorHandle_t * | pSensorHandle,
|  | isf_dsa_SensorSettings_t * | pSensorSettings
| ) |  |

Definition at line 180 of file fsl_mma955x_i2cspi_pedo.c.

References isf_SensorHandle_st::adapterStatus, BM_ERROR, bm_register_periodic_callback(), bm_unregister_callback(), isf_SensorHandle_st::controlData, mma955x_DeviceDescriptor_t::deviceHandle, mma955x_DeviceDescriptor_t::deviceSemaphore, DSA_ERR_CONFIGURE, DSA_ERR_PARAM, DSA_STATE_CONFIGURED_STOPPED, DSA_STATE_INITIALIZED, fsl_mma955x_PeriodicCallback(), ISF_SUCCESS, mma955x_send(), mma955xSetSamplingRate(), isf_dsa_SensorSettings_st::nSamplePeriod, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, isf_dsa_ControlData_st::sensorSettings, and mma955x_DeviceDescriptor_t::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_mma955x_Convert | ( | volatile isf_SensorHandle_t * | pSensorHandle,
|  | isf_SensorDataTypes_t | convertToType,
|  | isf_dsa_result_types_t | resultType,
|  | void * | pNativeSample,
|  | void * | pConvertedSample,
|  | int32 * | numBytes
| ) |  |

This function converts the raw sample data to the desired output type.

Definition at line 529 of file fsl_mma955x_i2cspi_pedo.c.

References DSA_ERR_BAD_RESULT_TYPE, DSA_ERR_BAD_SENSOR_DATA_TYPE, DSA_RESULT_TYPE_ENG_FIXED, DSA_RESULT_TYPE_ENG_FLOAT, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, and TYPE_RAW_ACCELERATION_3D.

Referenced by fsl_mma955x_PeriodicCallback().

Here is the caller graph for this function:

isf_dsa_status_t fsl_mma955x_EndData | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 313 of file fsl_mma955x_i2cspi_pedo.c.

References isf_SensorHandle_st::adapterStatus, BM_ERROR, bm_stop(), mma955x_DeviceDescriptor_t::deviceHandle, mma955x_DeviceDescriptor_t::deviceSemaphore, DSA_ERR_END_DATA, DSA_ERR_PARAM, DSA_STATE_CONFIGURED_STARTED, DSA_STATE_CONFIGURED_STOPPED, ISF_SUCCESS, mma955x_send(), isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, and mma955x_DeviceDescriptor_t::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_mma955x_Initialize | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 57 of file fsl_mma955x_i2cspi_pedo.c.

References isf_SensorHandle_st::adapterStatus, mma955x_DeviceDescriptor_t::cDescriptor, SensorConfig_st::channelId, COMM_STATE_OK, SensorConfig_st::commInfo, mma955x_DeviceDescriptor_t::deviceHandle, mma955x_DeviceDescriptor_t::deviceSemaphore, dm_channel_get_state(), dm_channel_init(), dm_channel_start(), dm_device_open(), DSA_ERR_INITIALIZE, DSA_ERR_PARAM, DSA_STATE_INITIALIZED, DSA_STATE_NOT_INITIALIZED, mma955x_Sensor_Specific_Settings_t::initializeCommands, ISF_SUCCESS, mma955x_DeviceDescriptor_t::localCfgBuffer, mma955x_GetConfig(), mma955x_send(), mma955x_CommandList_t::numCommands, mma955x_DeviceDescriptor_t::pCurrentSample, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, and isf_SensorHandle_st::pSensorStaticConfig.

Here is the call graph for this function:

void fsl_mma955x_PeriodicCallback | ( | void * | pSensorHandle | ) |

Definition at line 440 of file fsl_mma955x_i2cspi_pedo.c.

References mma955x_DataBuffer_t::accel, isf_SensorHandle_st::adapterStatus, isf_SensorHandle_st::controlData, mma955x_DeviceDescriptor_t::deviceSemaphore, DSA_STATE_CONFIGURED_STARTED, fsl_mma955x_Convert(), isf_fifo_el_get_insert_pointer(), isf_fifo_el_increment(), ISF_FIFO_FULL, isf_fifo_lock(), isf_fifo_unlock(), isf_time_util_get_usec(), mma955x_GetData(), mma955x_GetPedometerData(), isf_dsa_ControlData_st::nEventFieldIndex, mma955x_DeviceDescriptor_t::pCurrentSample, isf_SensorHandle_st::pDeviceDescriptor, mma955x_DataBuffer_t::pedometerData, isf_dsa_ControlData_st::pEventGroup, isf_dsa_SensorSettings_st::pSampleBufferInfo, isf_dsa_SensorSettings_st::resultFormat, isf_dsa_SensorSettings_st::resultType, isf_dsa_ControlData_st::sensorSettings, mma955x_DataBuffer_t::timeStamp, and TYPE_NATIVE_SENSOR_DATA_TYPE.

Referenced by fsl_mma955x_Configure().

Here is the call graph for this function:

Here is the caller graph for this function:

isf_dsa_status_t fsl_mma955x_Shutdown | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 400 of file fsl_mma955x_i2cspi_pedo.c.

References isf_SensorHandle_st::adapterStatus, bm_unregister_callback(), mma955x_DeviceDescriptor_t::deviceHandle, DSA_ERR_PARAM, DSA_STATE_INITIALIZED, ISF_SUCCESS, mma955x_send(), isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, and mma955x_DeviceDescriptor_t::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_mma955x_StartData | ( | isf_SensorHandle_t * | pSensorHandle | ) |

Definition at line 252 of file fsl_mma955x_i2cspi_pedo.c.

References isf_SensorHandle_st::adapterStatus, BM_ERROR, bm_start(), mma955x_DeviceDescriptor_t::deviceHandle, mma955x_DeviceDescriptor_t::deviceSemaphore, DSA_ERR_PARAM, DSA_ERR_START_DATA, DSA_STATE_CONFIGURED_STARTED, DSA_STATE_CONFIGURED_STOPPED, FALSE, ISF_SUCCESS, mma955x_send(), mma955x_CommandList_t::numCommands, isf_SensorHandle_st::pDeviceDescriptor, SensorConfig_st::pSensorSpecificSettings, isf_SensorHandle_st::pSensorStaticConfig, mma955x_Sensor_Specific_Settings_t::startDataCommands, and mma955x_DeviceDescriptor_t::token.

Here is the call graph for this function:

isf_dsa_status_t fsl_mma955x_ValidateSettings | ( | isf_SensorHandle_t * | pSensorHandle,
|  | isf_dsa_SensorSettings_t * | pSubSettings
| ) |  |

Definition at line 148 of file fsl_mma955x_i2cspi_pedo.c.

References DSA_ERR_PARAM, and mma955x_ValidateConfig().

Here is the call graph for this function:

## Variable Documentation

isf_SensorDataTypes_t mma955x_SupportedDataTypes[]

Definition at line 29 of file fsl_mma955x_i2cspi_pedo.c.

isf_SensorTypes_t mma955x_SupportedSensorTypes[]

Supported sensor and data types for mma955x.

Supported sensor and data types for mma955x.

Definition at line 28 of file fsl_mma955x_i2cspi_pedo.c.

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.